repos:
  - repo: https://github.com/astral-sh/ruff-pre-commit
    # Ruff version.
    rev: v0.14.2
    hooks:
      # Run the linter.
      - id: ruff-check
      # Run the formatter.
      - id: ruff-format
  # Configure local hooks
  - repo: local
    hooks:
      - id: check-commit-msg
        name: Check commit message format
        entry: .githooks/check-commit-msg.sh
        language: script
        stages: [commit-msg]
      - id: check-branch-name
        name: Check branch name format
        entry: .githooks/check-branch-name.sh
        language: script
        stages: [pre-commit]
        always_run: true
        pass_filenames: false
